<?php

declare(strict_types=1);

namespace Drupal\dark_mode_toggle\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a dark mode toggle block.
 *
 * @Block(
 *   id = "dark_mode_toggle",
 *   admin_label = @Translation("Dark Mode Toggle"),
 *   category = @Translation("Dark Mode Toggle"),
 * )
 */
class DarkModeToggleBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build(): array {
    return [
      'content' => [
        '#theme' => 'dark_mode_toggle',
      ],
    ];
  }

}
